%global momorel 1
%global qtver 4.4.3
%global qtdir %{_libdir}/qt4

Name: kayoIM
Summary: kayoIM is an input method system for Qt4
Version: 0.7.1
Release: %{momorel}m%{?dist}
Group: User Interface/X
License: GPLv2+
URL: http://kayoim.net-p.org/
Source0: kayoIM-%{version}.tar.bz2
BuildRequires: qt-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: anthy-devel
BuildRequires: glibc-devel

%description
kayoIM is an input method system for Qt4.

%prep
%setup -q
sed -i -e 's|/usr/local|%{_prefix}|' qmake_def.inc
sed -i -e 's|$$PREFIX/bin|%{_bindir}|' qmake_def.inc
sed -i -e 's|$$PREFIX/lib|%{_libdir}|' qmake_def.inc
sed -i -e 's|$$PREFIX/share/kayoim|%{_datadir}/kayoim|' qmake_def.inc
sed -i -e 's|$$PREFIX/lib/kayoim|%{_libdir}/kayoim|' qmake_def.inc

%build
export QTDIR=%{qtdir}
qmake-qt4
# no _smp_mflags
make

%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING README.jp.txt
%{_bindir}/kayoim
%{_libdir}/kayoim
%{_libdir}/libkayoIM*
%{qtdir}/plugins/inputmethods/libqt-kayoim.so

%changelog
* Sun May  3 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.1-1m)
- update to 0.7.1

* Sun Mar 29 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.0-1m)
- update to 0.7.0

* Mon Mar 23 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.39-1m)
- initial packaging
